DCSORT(1)

NAME
dcsort - ACR/NEMA DICOM PS3 ... DICOM PS3 - Make sorted list of images

SYNOPSIS

dcsort " inputfile1 [ inputfile2 ... ]" [ -v|verbose ] [ -vv|veryverbose ] [ -vvv|veryveryverbose ] [ -index ] [ -show ] [ -interval ] [ -tolerance mm ] [ -check ] [ -checkFoR ] [ -descending ] [ -sortby|k attributename ]

DESCRIPTION

dcsort reads the named dicom input files and sorts them by the specified sort key.

The sort key should be a single valued numeric attribute, with the exception of ImageOrientationPatient and ImagePositionPatient which are handled as special cases.

There is no output by default unless the index or verbose options are specified.

OPTIONS
The output and errors go to standard error.

The basic input switches are described in dcintro(1). Options specific to this program are:

-index
    Creates a first column of output that is the index in the sort order, starting from 0, and a second column that is the filename.

-show
    Show the value of the sort key after the file name with the -index option

-interval
    Show the interval between values of the sort key, or an error if not equal

-tolerance mm
    The tolerance value in mm to use when comparing intervals between slices; defaults to +/- 0.01 mm if unspecified

-check
    Check that all the images are from the same series.

-checkFoR
    Check that all the images have the same Frame of Reference (UID).

-descending
    Sort in descending, rather than the default ascending, order.

-sortby|k  attributename
    Specify attributename as the sort key.

ENVIRONMENT

EXAMPLES

% dcsort -index -sortby SliceLocation ./1/[0-9]*
0    ./1/1
1    ./1/2

FILES

SEE ALSO
dcintro(1)

AUTHOR
Copyright (c) 1993-2022, David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS